Subject: Re: [mpls-tp] [mpls] Request for input onhttp://tools.ietf.org/html/draft-ali-mpls-sig-pid-multiplexing-case-02Signaled PID When Multiplexing Multiple PIDs over RSVP-TE LSPs

From: "BUSI ITALO" <[email-masked]>
Date: Mon, 8 Mar 2010 19:09:43 +0100

It would be interesting to understand the relationship between the decription in this draft and the description in draft-ietf-mpls-tp-framework-10.
 
My understanding is that:
- edge-to-edge LSPs will be setup with the "Ignore PID" option (as per section 2.3 of Ali's draft);
- service LSPs carrying multiple clients will be setup with the "Ignore PID" option (as per section 2.3): the encaps label will provide PID information;
- service LSPs carrying only IPv4 client will be setup using the IPv4 option (as per section 2.1 of Ali's draft); 
- service LSPs carrying only IPv6 client will be setup using the IPv6 option (as per section 2.2 of Ali's draft).
 
Is my understanding correct?
 
Assuming my understanding is correct, then I have the following additional questions: how are service LSPs carrying only MPLS clients setup?
 
Do we need to add another section for the 0x8847 (MPLS payload) case?
 
Thanks, Italo

P.S. Please note my new email address, [email-masked], effective since 1 November 2009.

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of Zafar Ali (zali)
	Sent: mercoledì 3 marzo 2010 4.09
	To: [email-masked]; [email-masked]
	Cc: Adrian Farrel
	Subject: [mpls] Request for input onhttp://tools.ietf.org/html/draft-ali-mpls-sig-pid-multiplexing-case-02Signaled PID When Multiplexing Multiple PIDs over RSVP-TE LSPs

	Dear fellows- 

	I am planning to update http://tools.ietf.org/html/draft-ali-mpls-sig-pid-multiplexing-case-02 <http://tools.ietf.org/html/draft-ali-mpls-sig-pid-multiplexing-case-02>  "Signaled PID When Multiplexing Multiple PIDs over RSVP-TE LSPs", before IETF flood gate closes. I would like to address any comments/ input you have on the draft.
	
	Your comments will be greatly appreciated. 

	Thanks 

	Regards... Zafar